Bug 29875 - Update text on MaxReserves system preference to describe functionality.
Summary: Update text on MaxReserves system preference to describe functionality.
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Andrew Fuerste-Henry
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-01-13 14:20 UTC by Andrew Fuerste-Henry
Modified: 2022-04-17 20:06 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00,21.11.03,21.05.14


Attachments
Bug 29875: Update wording on maxreserves system preference (1.73 KB, patch)
2022-01-13 19:19 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 29875: Update wording on maxreserves system preference (1.73 KB, patch)
2022-01-13 19:47 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 29875: Update wording on maxreserves system preference (1.78 KB, patch)
2022-01-13 19:48 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 29875: Update wording on maxreserves system preference (1.84 KB, patch)
2022-01-13 22:31 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 29875: Update wording on maxreserves system preference (1.93 KB, patch)
2022-01-14 07:58 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Fuerste-Henry 2022-01-13 14:20:40 UTC
Currently, this syspref reads "Patrons can only have (X) holds at once."

I would update that to:

"Patrons can have a maximum of (X) holds at once. Leave blank or set to zero to disable."

I've just confirmed this behavior on master:

1 - set maxreserves to 1
2 - set all/all circ rule to unlimited holds allowed total, holds allowed daily, and holds per record
3 - confirm you can place 1 hold for a patron, but the second is blocked
4 - set maxreserves to 0
5 - confirm you can place and number of holds for the patron
6 - set maxreserves to blank
7 - confirm you can place any number of holds for the patron

We've got discussion of this syspref generally over in 25643, but unless we're moving it in the near future we should at least make it clear and accurate.
Comment 1 Tomás Cohen Arazi 2022-01-13 18:55:13 UTC
+1
Comment 2 Andrew Fuerste-Henry 2022-01-13 19:19:10 UTC
Created attachment 129437 [details] [review]
Bug 29875: Update wording on maxreserves system preference

To test:
1 - see the current wording
2 - apply patch
3 - words are changed

Test to confirm accuracy of wording:
1 - set maxreserves to 1
2 - set all/all circ rule to unlimited holds allowed total, holds allowed daily, and holds per record
3 - confirm you can place 1 hold for a patron, but the second is blocked
4 - set maxreserves to 0
5 - confirm you can place and number of holds for the patron
6 - set maxreserves to blank
7 - confirm you can place any number of holds for the patron
Comment 3 Andrew Fuerste-Henry 2022-01-13 19:47:36 UTC
Created attachment 129443 [details] [review]
Bug 29875: Update wording on maxreserves system preference

To test:
1 - see the current wording
2 - apply patch
3 - words are changed

Test to confirm accuracy of wording:
1 - set maxreserves to 1
2 - set all/all circ rule to unlimited holds allowed total, holds allowed daily, and holds per record
3 - confirm you can place 1 hold for a patron, but the second is blocked
4 - set maxreserves to 0
5 - confirm you can place and number of holds for the patron
6 - set maxreserves to blank
7 - confirm you can place any number of holds for the patron
Comment 4 Andrew Fuerste-Henry 2022-01-13 19:48:45 UTC
Created attachment 129444 [details] [review]
Bug 29875: Update wording on maxreserves system preference

To test:
1 - see the current wording
2 - apply patch
3 - words are changed

Test to confirm accuracy of wording:
1 - set maxreserves to 1
2 - set all/all circ rule to unlimited holds allowed total, holds allowed daily, and holds per record
3 - confirm you can place 1 hold for a patron, but the second is blocked
4 - set maxreserves to 0
5 - confirm you can place and number of holds for the patron
6 - set maxreserves to blank
7 - confirm you can place any number of holds for the patron
Comment 5 Andrew Fuerste-Henry 2022-01-13 19:49:12 UTC
Added a sentence: "Additional limits may apply based on circulation rules."
Comment 6 Tomás Cohen Arazi 2022-01-13 22:31:16 UTC
Created attachment 129455 [details] [review]
Bug 29875: Update wording on maxreserves system preference

To test:
1 - see the current wording
2 - apply patch
3 - words are changed

Test to confirm accuracy of wording:
1 - set maxreserves to 1
2 - set all/all circ rule to unlimited holds allowed total, holds allowed daily, and holds per record
3 - confirm you can place 1 hold for a patron, but the second is blocked
4 - set maxreserves to 0
5 - confirm you can place and number of holds for the patron
6 - set maxreserves to blank
7 - confirm you can place any number of holds for the patron

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 7 Tomás Cohen Arazi 2022-01-14 02:54:39 UTC
(In reply to Andrew Fuerste-Henry from comment #5)
> Added a sentence: "Additional limits may apply based on circulation rules."

Great. Hope Katrin signs it so it can be added before string freeze!
Comment 8 Marcel de Rooy 2022-01-14 07:58:28 UTC
Created attachment 129463 [details] [review]
Bug 29875: Update wording on maxreserves system preference

To test:
1 - see the current wording
2 - apply patch
3 - words are changed

Test to confirm accuracy of wording:
1 - set maxreserves to 1
2 - set all/all circ rule to unlimited holds allowed total, holds allowed daily, and holds per record
3 - confirm you can place 1 hold for a patron, but the second is blocked
4 - set maxreserves to 0
5 - confirm you can place and number of holds for the patron
6 - set maxreserves to blank
7 - confirm you can place any number of holds for the patron

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 9 Fridolin Somers 2022-01-28 21:13:23 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄
Comment 10 Kyle M Hall 2022-02-07 13:20:38 UTC
Pushed to 21.11.x for 21.11.03
Comment 11 Andrew Fuerste-Henry 2022-04-15 16:51:47 UTC
Pushed to 21.05.x for 21.05.14
Comment 12 Victor Grousset/tuxayo 2022-04-17 20:06:28 UTC
Not backported to oldoldstable (20.11.x). Feel free to ask if it's needed.